module LPDDR4_2x32_2EMIF_intel_agilex_5_soc_0 (
		output wire         h2f_reset_reset,                    //                h2f_reset.reset,     Active high reset from the HPS Reset Manager.
		output wire         h2f_warm_reset_handshake_reset_req, // h2f_warm_reset_handshake.reset_req, HPS warm reset request. Identical to watchdog reset except this is asserted by SDM.
		input  wire         h2f_warm_reset_handshake_reset_ack, //                         .reset_ack, HPS warm reset acknowledge response to SDM. Should be asserted when all HPS soft logic is successfully in reset.
		input  wire         io96b0_csr_axi_clk_clk,             //       io96b0_csr_axi_clk.clk,       Clock source signal. Synchronous signals are sampled on the rising edge of this clock.
		input  wire         io96b0_csr_axi_rst_reset_n,         //       io96b0_csr_axi_rst.reset_n,   Required placeholder reset. The actual bridge reset is driven by HPS Reset Manager.
		input  wire         io96b0_csr_axi_arready,             //           io96b0_csr_axi.arready,   Indicates a transfer on the read address channel can be accepted.
		input  wire         io96b0_csr_axi_awready,             //                         .awready,   Indicates a transfer on the write address channel can be accepted.
		input  wire [1:0]   io96b0_csr_axi_bresp,               //                         .bresp,     Indicates status of write transaction.
		input  wire         io96b0_csr_axi_bvalid,              //                         .bvalid,    Indicates write response channel signals are valid.
		input  wire [31:0]  io96b0_csr_axi_rdata,               //                         .rdata,     Read data.
		input  wire [1:0]   io96b0_csr_axi_rresp,               //                         .rresp,     Indicates status of read transaction.
		input  wire         io96b0_csr_axi_rvalid,              //                         .rvalid,    Indicates read data channel signals are valid.
		input  wire         io96b0_csr_axi_wready,              //                         .wready,    Indicates a transfer on the write data channel can be accepted.
		output wire [31:0]  io96b0_csr_axi_araddr,              //                         .araddr,    The address of the first transfer in a read transaction.
		output wire         io96b0_csr_axi_arvalid,             //                         .arvalid,   Indicates read address channel signals are valid.
		output wire [31:0]  io96b0_csr_axi_awaddr,              //                         .awaddr,    The address of the first transfer in a write transaction.
		output wire         io96b0_csr_axi_awvalid,             //                         .awvalid,   Indicates write address channel signals are valid.
		output wire         io96b0_csr_axi_bready,              //                         .bready,    Indicates a transfer on the write response channel can be accepted.
		output wire         io96b0_csr_axi_rready,              //                         .rready,    Indicates a transfer on the read data channel can be accepted.
		output wire [31:0]  io96b0_csr_axi_wdata,               //                         .wdata,     Write data.
		output wire [3:0]   io96b0_csr_axi_wstrb,               //                         .wstrb,     Write strobes indicating which bye lanes hold valid data.
		output wire         io96b0_csr_axi_wvalid,              //                         .wvalid,    Indicates write data channel signals are valid.
		output wire [2:0]   io96b0_csr_axi_arprot,              //                         .arprot,    Placeholder ARPROT. Protection attributes not supported for this bridge.
		output wire [2:0]   io96b0_csr_axi_awprot,              //                         .awprot,    Placegolder AWPROT. Protection attributes not supported for this bridge.
		input  wire         io96b0_ch0_axi_clk_clk,             //       io96b0_ch0_axi_clk.clk,       Clock source signal. Synchronous signals are sampled on the rising edge of this clock.
		input  wire         io96b0_ch0_axi_rst_reset_n,         //       io96b0_ch0_axi_rst.reset_n,   Required placeholder reset. The actual bridge reset is driven by HPS Reset Manager.
		input  wire         io96b0_ch0_axi_arready,             //           io96b0_ch0_axi.arready,   Indicates a transfer on the read address channel can be accepted.
		input  wire         io96b0_ch0_axi_awready,             //                         .awready,   Indicates a transfer on the write address channel can be accepted.
		input  wire [6:0]   io96b0_ch0_axi_bid,                 //                         .bid,       Identification tag for a write response.
		input  wire [1:0]   io96b0_ch0_axi_bresp,               //                         .bresp,     Indicates the status of a write transaction.
		input  wire         io96b0_ch0_axi_bvalid,              //                         .bvalid,    Indicates write response channel signals are valid.
		input  wire [255:0] io96b0_ch0_axi_rdata,               //                         .rdata,     Read data.
		input  wire [6:0]   io96b0_ch0_axi_rid,                 //                         .rid,       Identification tag for read data and response.
		input  wire         io96b0_ch0_axi_rlast,               //                         .rlast,     Indicates the last data transfer in a read transaction.
		input  wire [1:0]   io96b0_ch0_axi_rresp,               //                         .rresp,     Indicates the status of a read transfer.
		input  wire [31:0]  io96b0_ch0_axi_ruser,               //                         .ruser,     Extension of read data channel.
		input  wire         io96b0_ch0_axi_rvalid,              //                         .rvalid,    Indicates read data channel signals are valid.
		input  wire         io96b0_ch0_axi_wready,              //                         .wready,    Indicates a transfer on the write data channel can be accepted.
		output wire [43:0]  io96b0_ch0_axi_araddr,              //                         .araddr,    The address of the first transfer in a read transaction.
		output wire [1:0]   io96b0_ch0_axi_arburst,             //                         .arburst,   Burst type indicating how address changes between each transfer in a read transaction.
		output wire [6:0]   io96b0_ch0_axi_arid,                //                         .arid,      Identification tag for a read transaction.
		output wire [7:0]   io96b0_ch0_axi_arlen,               //                         .arlen,     Exact number of data transfers in a read transaction.
		output wire         io96b0_ch0_axi_arlock,              //                         .arlock,    Provides info on atomic characteristics of a read transaction.
		output wire [3:0]   io96b0_ch0_axi_arqos,               //                         .arqos,     Quality of service identifier for a read transaction.
		output wire [2:0]   io96b0_ch0_axi_arsize,              //                         .arsize,    The number of bytes in each data transfer in a read transaction.
		output wire [13:0]  io96b0_ch0_axi_aruser,              //                         .aruser,    Extension of read address channel.
		output wire         io96b0_ch0_axi_arvalid,             //                         .arvalid,   Indicates read address channel signals are valid.
		output wire [43:0]  io96b0_ch0_axi_awaddr,              //                         .awaddr,    The address of the first transfer in a write transaction.
		output wire [1:0]   io96b0_ch0_axi_awburst,             //                         .awburst,   Burst type indicating how address changes between each transfer in a write transaction.
		output wire [6:0]   io96b0_ch0_axi_awid,                //                         .awid,      Identification tag for a write transaction.
		output wire [7:0]   io96b0_ch0_axi_awlen,               //                         .awlen,     Exact number of data transfers in a write transaction.
		output wire         io96b0_ch0_axi_awlock,              //                         .awlock,    Provides info on atomic characteristics of a write transaction.
		output wire [3:0]   io96b0_ch0_axi_awqos,               //                         .awqos,     Quality of service identifier for a write transaction.
		output wire [2:0]   io96b0_ch0_axi_awsize,              //                         .awsize,    Number of bytes in each data transfer in a write transaction.
		output wire [13:0]  io96b0_ch0_axi_awuser,              //                         .awuser,    Extension of write address channel.
		output wire         io96b0_ch0_axi_awvalid,             //                         .awvalid,   Indicates write address channel signals are valid.
		output wire         io96b0_ch0_axi_bready,              //                         .bready,    Indicates a transfer on write response channel can be accepted.
		output wire         io96b0_ch0_axi_rready,              //                         .rready,    Indicates a transfer on read data channel can be accepted.
		output wire [255:0] io96b0_ch0_axi_wdata,               //                         .wdata,     Write data.
		output wire         io96b0_ch0_axi_wlast,               //                         .wlast,     Indicates the last data transfer in a write transaction.
		output wire [31:0]  io96b0_ch0_axi_wstrb,               //                         .wstrb,     Write strobes indicating which byte lanes hold valid data.
		output wire [31:0]  io96b0_ch0_axi_wuser,               //                         .wuser,     Extension of the write data channel.
		output wire         io96b0_ch0_axi_wvalid,              //                         .wvalid,    Indicates write data channel signals are valid.
		output wire [2:0]   io96b0_ch0_axi_arprot,              //                         .arprot,    Placeholder ARPROT. Protection attributes not supported for this bridge.
		output wire [2:0]   io96b0_ch0_axi_awprot,              //                         .awprot,    Placeholder AWPROT. Protection attributes not supported for this bridge.
		input  wire         io96b1_csr_axi_clk_clk,             //       io96b1_csr_axi_clk.clk,       Clock source signal. Synchronous signals are sampled on the rising edge of this clock.
		input  wire         io96b1_csr_axi_rst_reset_n,         //       io96b1_csr_axi_rst.reset_n,   Required placeholder reset. The actual bridge reset is driven by HPS Reset Manager.
		input  wire         io96b1_csr_axi_arready,             //           io96b1_csr_axi.arready,   Indicates a transfer on the read address channel can be accepted.
		input  wire         io96b1_csr_axi_awready,             //                         .awready,   Indicates a transfer on the write address channel can be accepted.
		input  wire [1:0]   io96b1_csr_axi_bresp,               //                         .bresp,     Indicates status of write transaction.
		input  wire         io96b1_csr_axi_bvalid,              //                         .bvalid,    Indicates write response channel signals are valid.
		input  wire [31:0]  io96b1_csr_axi_rdata,               //                         .rdata,     Read data.
		input  wire [1:0]   io96b1_csr_axi_rresp,               //                         .rresp,     Indicates status of read transaction.
		input  wire         io96b1_csr_axi_rvalid,              //                         .rvalid,    Indicates read data channel signals are valid.
		input  wire         io96b1_csr_axi_wready,              //                         .wready,    Indicates a transfer on the write data channel can be accepted.
		output wire [31:0]  io96b1_csr_axi_araddr,              //                         .araddr,    The address of the first transfer in a read transaction.
		output wire         io96b1_csr_axi_arvalid,             //                         .arvalid,   Indicates read address channel signals are valid.
		output wire [31:0]  io96b1_csr_axi_awaddr,              //                         .awaddr,    The address of the first transfer in a write transaction.
		output wire         io96b1_csr_axi_awvalid,             //                         .awvalid,   Indicates write address channel signals are valid.
		output wire         io96b1_csr_axi_bready,              //                         .bready,    Indicates a transfer on the write response channel can be accepted.
		output wire         io96b1_csr_axi_rready,              //                         .rready,    Indicates a transfer on the read data channel can be accepted.
		output wire [31:0]  io96b1_csr_axi_wdata,               //                         .wdata,     Write data.
		output wire [3:0]   io96b1_csr_axi_wstrb,               //                         .wstrb,     Write strobes indicating which bye lanes hold valid data.
		output wire         io96b1_csr_axi_wvalid,              //                         .wvalid,    Indicates write data channel signals are valid.
		output wire [2:0]   io96b1_csr_axi_arprot,              //                         .arprot,    Placeholder ARPROT. Protection attributes not supported for this bridge.
		output wire [2:0]   io96b1_csr_axi_awprot,              //                         .awprot,    Placegolder AWPROT. Protection attributes not supported for this bridge.
		input  wire         io96b1_ch0_axi_clk_clk,             //       io96b1_ch0_axi_clk.clk,       Clock source signal. Synchronous signals are sampled on the rising edge of this clock.
		input  wire         io96b1_ch0_axi_rst_reset_n,         //       io96b1_ch0_axi_rst.reset_n,   Required placeholder reset. The actual bridge reset is driven by HPS Reset Manager.
		input  wire         io96b1_ch0_axi_arready,             //           io96b1_ch0_axi.arready,   Indicates a transfer on the read address channel can be accepted.
		input  wire         io96b1_ch0_axi_awready,             //                         .awready,   Indicates a transfer on the write address channel can be accepted.
		input  wire [6:0]   io96b1_ch0_axi_bid,                 //                         .bid,       Identification tag for a write response.
		input  wire [1:0]   io96b1_ch0_axi_bresp,               //                         .bresp,     Indicates the status of a write transaction.
		input  wire         io96b1_ch0_axi_bvalid,              //                         .bvalid,    Indicates write response channel signals are valid.
		input  wire [255:0] io96b1_ch0_axi_rdata,               //                         .rdata,     Read data.
		input  wire [6:0]   io96b1_ch0_axi_rid,                 //                         .rid,       Identification tag for read data and response.
		input  wire         io96b1_ch0_axi_rlast,               //                         .rlast,     Indicates the last data transfer in a read transaction.
		input  wire [1:0]   io96b1_ch0_axi_rresp,               //                         .rresp,     Indicates the status of a read transfer.
		input  wire [31:0]  io96b1_ch0_axi_ruser,               //                         .ruser,     Extension of read data channel.
		input  wire         io96b1_ch0_axi_rvalid,              //                         .rvalid,    Indicates read data channel signals are valid.
		input  wire         io96b1_ch0_axi_wready,              //                         .wready,    Indicates a transfer on the write data channel can be accepted.
		output wire [43:0]  io96b1_ch0_axi_araddr,              //                         .araddr,    The address of the first transfer in a read transaction.
		output wire [1:0]   io96b1_ch0_axi_arburst,             //                         .arburst,   Burst type indicating how address changes between each transfer in a read transaction.
		output wire [6:0]   io96b1_ch0_axi_arid,                //                         .arid,      Identification tag for a read transaction.
		output wire [7:0]   io96b1_ch0_axi_arlen,               //                         .arlen,     Exact number of data transfers in a read transaction.
		output wire         io96b1_ch0_axi_arlock,              //                         .arlock,    Provides info on atomic characteristics of a read transaction.
		output wire [3:0]   io96b1_ch0_axi_arqos,               //                         .arqos,     Quality of service identifier for a read transaction.
		output wire [2:0]   io96b1_ch0_axi_arsize,              //                         .arsize,    The number of bytes in each data transfer in a read transaction.
		output wire [13:0]  io96b1_ch0_axi_aruser,              //                         .aruser,    Extension of read address channel.
		output wire         io96b1_ch0_axi_arvalid,             //                         .arvalid,   Indicates read address channel signals are valid.
		output wire [43:0]  io96b1_ch0_axi_awaddr,              //                         .awaddr,    The address of the first transfer in a write transaction.
		output wire [1:0]   io96b1_ch0_axi_awburst,             //                         .awburst,   Burst type indicating how address changes between each transfer in a write transaction.
		output wire [6:0]   io96b1_ch0_axi_awid,                //                         .awid,      Identification tag for a write transaction.
		output wire [7:0]   io96b1_ch0_axi_awlen,               //                         .awlen,     Exact number of data transfers in a write transaction.
		output wire         io96b1_ch0_axi_awlock,              //                         .awlock,    Provides info on atomic characteristics of a write transaction.
		output wire [3:0]   io96b1_ch0_axi_awqos,               //                         .awqos,     Quality of service identifier for a write transaction.
		output wire [2:0]   io96b1_ch0_axi_awsize,              //                         .awsize,    Number of bytes in each data transfer in a write transaction.
		output wire [13:0]  io96b1_ch0_axi_awuser,              //                         .awuser,    Extension of write address channel.
		output wire         io96b1_ch0_axi_awvalid,             //                         .awvalid,   Indicates write address channel signals are valid.
		output wire         io96b1_ch0_axi_bready,              //                         .bready,    Indicates a transfer on write response channel can be accepted.
		output wire         io96b1_ch0_axi_rready,              //                         .rready,    Indicates a transfer on read data channel can be accepted.
		output wire [255:0] io96b1_ch0_axi_wdata,               //                         .wdata,     Write data.
		output wire         io96b1_ch0_axi_wlast,               //                         .wlast,     Indicates the last data transfer in a write transaction.
		output wire [31:0]  io96b1_ch0_axi_wstrb,               //                         .wstrb,     Write strobes indicating which byte lanes hold valid data.
		output wire [31:0]  io96b1_ch0_axi_wuser,               //                         .wuser,     Extension of the write data channel.
		output wire         io96b1_ch0_axi_wvalid,              //                         .wvalid,    Indicates write data channel signals are valid.
		output wire [2:0]   io96b1_ch0_axi_arprot,              //                         .arprot,    Placeholder ARPROT. Protection attributes not supported for this bridge.
		output wire [2:0]   io96b1_ch0_axi_awprot               //                         .awprot,    Placeholder AWPROT. Protection attributes not supported for this bridge.
	);
endmodule

